Bug 491814 - pidgin-2.5.5 MSN crash ssl_nss_read
pidgin-2.5.5 MSN crash ssl_nss_read
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 03:02 EDT by SeungDo Yang
Modified: 2009-12-18 04:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:05:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug-buddy log message (13.90 KB, text/plain)
2009-03-24 03:05 EDT, SeungDo Yang
no flags Details

  None (edit)
Description SeungDo Yang 2009-03-24 03:02:18 EDT
Description of problem:

I'm using M$N, XMPP and 3'rd party plugin(nateon) on my pidgin 2.5.5 from Fedora 10. From yesterday, after logon to M$N account, pidgin crashed suddenly.

Without XMPP and 3'rd party plugin, still crashed..

So I disabled my M$N account now. With XMPP and nateon(plugin), there's no problem so far.

I tried to remove all my accounts and logs with removing ~/.purple directory, and re-config accounts.
But same result.

Version-Release number of selected component (if applicable):
pidgin-2.5.5-1.fc10.i386
libpurple-2.5.5-1.fc10.i386

How reproducible:
After login M$N account, chat with my buddy.
And then, crash suddenly.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Before upgrading to 2.5.5 there's no problem.
Comment 1 SeungDo Yang 2009-03-24 03:05:14 EDT
Created attachment 336428 [details]
bug-buddy log message
Comment 2 Warren Togami 2009-03-24 11:43:44 EDT
http://developer.pidgin.im/ticket/8653
Comment 3 SeungDo Yang 2009-04-20 21:14:56 EDT
After removing bug-buddy package, issue was resolved completely !!!
Comment 4 SeungDo Yang 2009-04-21 23:37:15 EDT
Sorry, issue was not resolved yet..

Symptom is very weird.
Executing with click the Applications -> Internet -> Internet Messenger in Gnome menu, it was crashed..

But with this command,
[sdyang@sdyang ~]$ gdb pidgin
GNU gdb Fedora (6.8-29.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) handle SIGPIPE nostop noprint
Signal        Stop	Print	Pass to program	Description
SIGPIPE       No	No	Yes		Broken pipe
(gdb) run
Starting program: /usr/bin/pidgin 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7fd9750 (LWP 5176)]
Detaching after fork from child process 5185.
Detaching after fork from child process 5186.
Detaching after fork from child process 5187.
$ gdb pidgin

There's no problem so far.

I'm using MSN, nateon(3'rd party), XMPP, Google Talk..
Comment 5 Bug Zapper 2009-11-18 04:56:04 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 04:05:57 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.